void printix(int val);

struct sample {
  char c[4];
  int i;
};

int main()
{
  struct sample s, s2;

  s.i  = 0x12345678;
  printix(s.i);
  s2.i = s.i;
  printix(s2.i);

  s.c[0] = 1;
  s.c[1] = 2;
  s.c[2] = 3;
  s.c[3] = 4;

  s2.c[0] = s.c[0];
  s2.c[1] = s.c[1];
  s2.c[2] = s.c[2];
  s2.c[3] = s.c[3];
  printix(s2.c[0]);
  printix(s2.c[1]);
  printix(s2.c[2]);
  printix(s2.c[3]);

  return 0;
}
